LINUX.ORG.RU

Не компилируются дрова AMD

 , ,


0

0

Привет. Вот лог: http://pastebin.com/chiYAWRr

Вздумалось внезапно хлебнуть проприетарщины полной ложкой, поставить дрова. Скачал с офсайта, начал собирать, но не получается, лог с ошибкой выше. Пробовал ставить и просто так, из коробки, так сказать, тоже не выходит, ошибка: не установлены kernel headers. Самое странное, что они-то установлены, я знаю точно и даже специально проверил.

Заранее спасибо за помощь.

Ответ на: комментарий от unixnik

Версия иксов не годится, или проблема в fglrx? Как быть-то?

Flagitio ()
Ответ на: комментарий от kep

root@debian:/home/maks/Загрузки# lspci 00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 15h (Models 10h-1fh) Processor Root Complex

Flagitio ()
Ответ на: комментарий от Flagitio

Trinity

Нет, к сожалению AMDGPU никогда на нём работать не будет, т.к. это вообще не GCN, он еще на старой архитектуре TeraScale 3 (VLIW4).

В общем да, пропердол с блобом еще тот, новые ядра не работают, новые иксы не работают. Пользователи страдают.

kep ()
Ответ на: комментарий от Flagitio

Верно. Кстати насчет новых ядер возможно неправда, я не вижу ограничения на версию ядра в гентушном ебилде, только на иксы.

Есть ли в этом смысл?

Безусловно, бессмысленным это назвать нельзя, но насколько много и какого качества смысла в этом — вопрос другой, мне на него ответить тяжело, не очень могу в философию и софистику.

kep ()
Ответ на: комментарий от Flagitio

новый драйвер

ну как новый, последний блоб вышел в середине сентября прошлого года, если исходить из сайта AMD.

kep ()
Ответ на: комментарий от kep

Понял, большое спасибо. Пожалуй, последую давней админской мудрости: если что-то работает, то не трогай его. С моими скромными навыками есть риск, что я сейчас ткну пальцем куда-нибудь и все рассыпется, система и так держится на неведомых мне соплях. А второго ПК у меня нет, чтобы починить в случае чего.

Flagitio ()
Ответ на: комментарий от Flagitio

AMD забила на поддержку старых видеокарт, только GNC. Есть проблемы с драйвером radeon? Если нет, то ставь его и живи спокойно.

unixnik ★★★★★ ()
Последнее исправление: unixnik (всего исправлений: 1)

Скачал с офсайта

Откуда ж вы такие берётесь? Репозитории для кого придуманы?

XMs ★★★★★ ()
Ответ на: комментарий от XMs

В репозитории лежат свободные версии. Или есть сторонняя репа от АМД с проприетарными драйверами? Я не нагуглил подобного, не знаю даже. На сайте предлагают загрузить прямо у них, без репозиториев.

Flagitio ()
Ответ на: комментарий от Flagitio

В репозитории лежат свободные версии. Или есть сторонняя репа от АМД с проприетарными драйверами?

Fglrx драйвер не поддерживает X.Org 1.8, и не будет поддерживать. Сейчас есть AMDGPU, но он поддерживает и будет поддерживать только GCN. А значит на видеокартах:

Radeon HD 8000 (HD 8400 и ниже), Radeon HD 7000 Series (HD 7600 и ниже), Radeon HD 6000, Radeon HD 5000

использовать только свободный драйвер, который как по моему мнению не уступает в производительности на этих видеокартах.

unixnik ★★★★★ ()
Ответ на: комментарий от unixnik

Fglrx драйвер не поддерживает X.Org 1.8

Было бы не лишним уточнить, что X-сервер в debian stable сейчас 1.6, с которым закрытый драйвер таки работает

XMs ★★★★★ ()

зачем тебе вообще fglrx сдался?

aegi ★★★ ()
Ответ на: комментарий от unixnik

Не знаю что там по твоему мнению, но в реальности производительность на свободных хуже чем на блобе.

anonymous ()
Ответ на: комментарий от anonymous

Вот я тоже читал об этом, собственно почему и задался желанием поковыряться в системе. Но на нет и суда нет, раз у АМД такая косная поддержка.

Flagitio ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.